Index: configure.in
===================================================================
RCS file: /cvsroot/squid/squid/configure.in,v
retrieving revision 1.1.1.3.4.6
diff -u -p -r1.1.1.3.4.6 configure.in
--- configure.in	2001/01/06 12:57:32	1.1.1.3.4.6
+++ configure.in	2001/06/18 19:01:40
@@ -288,7 +288,7 @@ AC_ARG_ENABLE(icmp,
 ])
 
 AC_ARG_ENABLE(delay_pools,
-[  --enable-delay-pools    Enable delay pools to limit bandwith usage],
+[  --enable-delay-pools    Enable delay pools to limit bandwidth usage],
 [ if test "$enableval" = "yes" ; then
     echo "Delay pools enabled"
     DELAY_OBJS='$(DELAY_OBJS)'
@@ -533,7 +533,7 @@ AC_ARG_ENABLE(truncate,
 dnl Enable underscore in hostnames
 AC_ARG_ENABLE(underscores,
 [  --enable-underscores    Squid by default rejects any host names with _
-                          in their name to conform with internet standars.
+                          in their name to conform with internet standards.
                           If you disagree with this you may allow _ in
                           hostnames by using this switch, provided that
                           the resolver library on the host where Squid runs
Index: src/acl.c
===================================================================
RCS file: /cvsroot/squid/squid/src/acl.c,v
retrieving revision 1.1.1.3.4.3
diff -u -p -r1.1.1.3.4.3 acl.c
--- src/acl.c	2000/12/31 05:24:17	1.1.1.3.4.3
+++ src/acl.c	2001/06/18 19:01:42
@@ -1006,7 +1006,7 @@ aclDecodeProxyAuth(const char *proxy_aut
 	return 0;
     debug(28, 6) ("aclDecodeProxyAuth: header = '%s'\n", proxy_auth);
     if (strncasecmp(proxy_auth, "Basic ", 6) != 0) {
-	debug(28, 1) ("aclDecodeProxyAuth: Unsupported proxy-auth sheme, '%s'\n", proxy_auth);
+	debug(28, 1) ("aclDecodeProxyAuth: Unsupported proxy-auth scheme, '%s'\n", proxy_auth);
 	return 0;
     }
     proxy_auth += 6;		/* "Basic " */
@@ -1755,7 +1755,7 @@ aclChecklistCreate(const acl_access * A,
 }
 
 void
-aclNBCheck(aclCheck_t * checklist, PF callback, void *callback_data)
+aclNBCheck(aclCheck_t * checklist, PF *callback, void *callback_data)
 {
     checklist->callback = callback;
     checklist->callback_data = callback_data;
Index: src/main.c
===================================================================
RCS file: /cvsroot/squid/squid/src/main.c,v
retrieving revision 1.1.1.3.4.2
diff -u -p -r1.1.1.3.4.2 main.c
--- src/main.c	2000/04/17 00:56:53	1.1.1.3.4.2
+++ src/main.c	2001/06/18 19:01:47
@@ -872,6 +872,7 @@ SquidShutdown(void *unused)
 #endif
     storeLogClose();
     accessLogClose();
+    useragentLogClose();
 #if USE_ASYNC_IO
     aioSync();			/* flush log close */
 #endif
Index: src/protos.h
===================================================================
RCS file: /cvsroot/squid/squid/src/protos.h,v
retrieving revision 1.1.1.3.4.1
diff -u -p -r1.1.1.3.4.1 protos.h
--- src/protos.h	2000/04/17 00:56:53	1.1.1.3.4.1
+++ src/protos.h	2001/06/18 19:01:48
@@ -1068,6 +1070,7 @@ extern char *urlHostname(const char *url
 extern void useragentOpenLog(void);
 extern void useragentRotateLog(void);
 extern void logUserAgent(const char *, const char *);
+extern void useragentLogClose(void);
 extern peer_t parseNeighborType(const char *s);
 
 extern void errorInitialize(void);
Index: src/useragent.c
===================================================================
RCS file: /cvsroot/squid/squid/src/useragent.c,v
retrieving revision 1.1.1.3.4.1
diff -u -p -r1.1.1.3.4.1 useragent.c
--- src/useragent.c	2000/04/17 00:56:54	1.1.1.3.4.1
+++ src/useragent.c	2001/06/18 19:01:56
@@ -125,3 +125,13 @@ logUserAgent(const char *client, const c
 	fflush(cache_useragent_log);
 #endif
 }
+
+void
+useragentLogClose(void)
+{
+#if USE_USERAGENT_LOG
+    if (NULL == cache_useragent_log)
+	return;
+    fclose(cache_useragent_log);
+    cache_useragent_log = NULL;
+#endif
+}
Index: src/disk.c
===================================================================
RCS file: /cvsroot/squid/squid/src/disk.c,v
retrieving revision 1.1.1.3.4.1
diff -u -p -r1.1.1.3.4.1 disk.c
--- src/disk.c	2000/04/17 00:56:53	1.1.1.3.4.1
+++ src/disk.c	2001/08/11 20:22:24
@@ -284,7 +284,7 @@ file_write(int fd,
     off_t file_offset,
     void *ptr_to_buf,
     int len,
-    DWCB handle,
+    DWCB *handle,
     void *handle_data,
     FREE * free_func)
 {
Index: src/stat.c
===================================================================
RCS file: /cvsroot/squid/squid/src/stat.c,v
retrieving revision 1.1.1.3.4.1
diff -u -p -r1.1.1.3.4.1 stat.c
--- src/stat.c	2000/04/17 00:56:53	1.1.1.3.4.1
+++ src/stat.c	2001/08/11 20:22:28
@@ -961,6 +961,7 @@ statCountersClean(StatCounters * C)
     statHistClean(&C->dns.svc_time);
     statHistClean(&C->cd.on_xition_count);
     statHistClean(&C->comm_icp_incoming);
+    statHistClean(&C->comm_dns_incoming);
     statHistClean(&C->comm_http_incoming);
     statHistClean(&C->select_fds_hist);
 }
